#include "myclass.h"
#include "myclassimpl.h"

#include <QDebug>

MyClass::MyClass() : pimpl( new MyClassImpl ) {
    qDebug() << "MyClass ctor";
}

MyClass::~MyClass() {
    qDebug() << "MyClass dtor";
    delete pimpl;
}

int MyClass::callMe( int arg ) {
    return pimpl->callMe( arg );
}
